From rice!husc6!purdue!spaf Mon May  9 11:48:18 CDT 1988
Article 848 of news.admin:
Path: rice!husc6!purdue!spaf
>From: spaf@cs.purdue.EDU (Gene Spafford)
Newsgroups: news.announce.newusers,news.groups,news.admin
Subject: How to Create a New Newsgroup (Updated: 14 April 1988)
Message-ID: <4016@medusa.cs.purdue.edu>
Date: 9 May 88 04:36:22 GMT
Expires: +90days
Organization: Dept. of Computer Sciences, Purdue Univ.
Lines: 152
Approved: spaf@cs.purdue.EDU
Supersedes: <3723@medusa.cs.purdue.edu>
Xref: rice news.announce.newusers:88 news.groups:1529 news.admin:848

Original-from: spaf@cs.purdue.edu (Gene Spafford)
[Most recent change: 14 April 1988 by spaf@cs.purdue.edu (Gene Spafford)]


		How to Establish a New Newsgroup

One question that frequently appears on the Usenet has to do with how
newsgroups are created.  Usually this occurs when someone believes they
have identified a topic that deserves a new group and they are not
aware of the conventions surrounding newsgroup establishment.  The
purpose of this article is to help provide some background and
guidelines for users interested in establishing new groups.

Note that these guidelines are for new groups in the "regular" Usenet
-- conventions for new groups in the alternate hierarchies (such as
"alt" and "bionet") may be different and you should consult readers and
admins in those groups for information specific to those groups.  Also
note that these are general *guidelines* -- there is no guarantee that
any site will ever issue or honor a "newgroup" request for any group,
even if all these guidelines are followed.  In particular, problems of
legality, volume and taste may keep some groups from being created in
the regular newsgroup hierarchy at many (or most) sites, no matter what
the perceived support; in general, such groups can be created in the
alternate distributions without any such trouble.

Background
----------
The Usenet is, for the most part, a loosely connected system governed
by consensus and momentum.  There is no "central authority" that
actually runs the the network.  In fact, it is not even possible to
precisely define what groups and sites consititute the network -- the
best we can do is provide a working definition: "The Usenet consists of
sites exchanging articles in the news.* groups." This informal
definition describes a collection of thousands of machines in over a
dozen countries on four continents; total potential readership is in
the hundreds of thousands.  Total volume of all the newsgroups
regularly surpasses two megabytes of information flow per day in almost
three hundred newsgroups.

A few years ago, the network began to exhibit overload problems.  These
overload problems include human overload as well as machine. Not only
are some machines straining to handle the ever-increasing communication
and storage needs of the network, but many (or most!) of the readers of
the network find themselves unable to organize and read the incredible
amounts of information available to them.  Increasingly sophisticated
software and organization have helped both problems, but overload of
both kinds continues to be a problem.  The creation of new newsgroups
can sometimes help the problem and but can also sometimes make it worse.

To help promote the constructive creation of new newsgroups, the
administrators of the Usenet backbone machines have formalized a set of
guidelines for the creation of new newsgroups. These are based on
historical precedent and perceived limitations. 
    (The "members of the backbone" are a de-facto advisory committee
    for the Usenet, consisting of current and past administrators of
    machines whose connectivity and load are seen as critical to the
    functioning of the Usenet.  This group includes authors of the
    original A and B news software and users of the Usenet since its
    inception.  It includes programmers, researchers, professors,
    consultants and end-users; their collective experience with Unix
    and the Usenet can be measured in the hundreds of years.)
No one is forced to adhere to these guidelines, but action on Usenet
newsgroup creation or deletion that does not follow these guidelines
may be ignored by the backbone sites and the majority of Usenet sites
that usually follow the examples set by the backbone.  It is thus in
the best interests of the proposed newsgroup to follow the guidelines.


Guidelines
----------
The following guidelines assume you have determined that you want a 
newsgroup to be created.  You may want this newsgroup to address a
topic of particular interest, or it might be to help subdivide an
existing newsgroup.  Once you have decided you want a new newsgroup,
you should do the following:

1) Determine if a new newsgroup is actually needed.  Look carefully
through the lists of active newsgroups and mailing lists to be sure
there is currently no existing forum for your topic.  If there is such
a group or mailing list, try using it before attempting to create a new
group -- it might be just what you want.  Also determine if there are
potential objections to the creation of the group based on common sense,
good taste, or possible legal difficulties -- such groups are best
left as mailing lists or semi-private hierarchies.

2) Determine an appropriate name for your proposed newsgroup -- a name
should be informative, reasonably short, and in an appropriate
top-level hierarchy.  The name should directly describe the purpose and
content of the proposed group, to aid new readers in selecting it.
Also determine if you want the newsgroup to be moderated or not.

3) Post an article to the newsgroup "news.groups" describing your
proposed new group.  Be sure to describe why you think the group is
needed and/or interesting, and what you think it should be named.  Ask
for comments to be posted and discussed.  Be sure to cross-post your
article to any newsgroups where there might be interest, but set the
"Followup-to" header so that responses only go to the "news.groups"
group.

4) Consider carefully all comments and objections, whether posted or
mailed.  Answer objections and questions in a timely fashion.  Change
   The newgroup message may be sent by the vote-taker (if able to do so)
   or by the system administrator on the vote-taker's machine. If this
   option is not available, then the vote-taker may send mail to
   "newgroup@ncar.ucar.edu" saying that a successful vote has been run
   and requesting that a newgroup message be sent. DO NOT send the vote
   results; we can look those up in news.groups if we haven't seen them
   there already. In any case, please send mail to Gene Spafford 
   (spaf@purdue.edu) informing him of a successful vote, so he can add the
   new group to the official list of groups which he maintains.
   The newgroup message may be sent by the vote-taker (if able to do so)
   or by the system administrator on the vote-taker's machine. If this
   option is not available, then the vote-taker may send mail to
   "newgroup@ncar.ucar.edu" saying that a successful vote has been run
   and requesting that a newgroup message be sent. DO NOT send the vote
   results; we can look those up in news.groups if we haven't seen them
   there already. In any case, please send mail to Gene Spafford 
   (spaf@purdue.edu) informing him of a successful vote, so he can add the
   new group to the official list of groups which he maintains.
the name or nature of the group, if needed, based on the comments of
others.  Remember that the success of the group is based on the support
and participation of the other people on the network, so listen to
their advice and concerns.

5) Collect MAILED votes on the issue of the new newsgroup.  The
threshold currently set as necessary to suggest creating a new group is
100 more "yes" votes than "no" votes in a 30 day period.
   a) If you get at least 100 more "yes" votes than "no" votes,
      post an article to the news.groups newsgroup including the
      totals and the list of account names of people voting.
   b) If you fail to get at least 100 more "yes" votes than "no"
      votes, consider starting a mailing list for your topic
      instead of a new group, or else think about starting the
      group as an "alt" group.  If a group cannot get the support
      of at least 100 people in one month's time, it does not
      belong on the Usenet until such time as it gains sufficient
      support.
   c) If you are trying to get an exisiting mailing list upgraded
      to a newsgroup, consider the current subscriber list as a
      set of "yes" votes of equal number, but only if they have
      already agreed that they want the list turned into a
      newsgroup.

6) Send mail to "backbone@rutgers.edu" and ask that the group be
created.  You can issue the control message yourself, but many sites
will ignore the group unless the control message originates from one of
the known backbone admins (usually one of: news or spaf@cs.purdue.edu,
mark@stargate.com, rick@uunet.uu.net, woods@ncar.ucar.edu or
fair@ucbarpa.berkeley.edu).  If the group is moderated, be sure to
include information about the moderator and submission addresses in
your mail message so that the appropriate postings and databases can be
updated.  The group will likely be created at this time, but if the
members of the backbone list perceive that there are serious unanswered
questions about the group's creation, it may be postponed until those
questions are resolved.


Summary
-------
That's pretty much all you do to create a new newsgroup.  You need to
establish that there is sufficient support to create the group, and that
there are no serious objections to its creation.

If you'd like more information about how to start a mailing list, send
mail to "backbone-request@rutgers.edu".
-- 
Gene Spafford
NSF/Purdue/U of Florida  Software Engineering Research Center,
Dept. of Computer Sciences, Purdue University, W. Lafayette IN 47907-2004
Internet:  spaf@cs.purdue.edu	uucp:	...!{decwrl,gatech,ucbvax}!purdue!spaf
