From: spaf@cs.purdue.EDU (Gene Spafford)
Newsgroups: news.lists,news.admin
Subject: How to Construct the Mailpaths File (Updated: 4 August 1988)
Message-ID: <5063@medusa.cs.purdue.edu>
Date: 11 Oct 88 02:55:56 GMT
Expires: 90days
Organization: Dept. of Computer Sciences, Purdue Univ.
Lines: 138
Approved: spaf@cs.purdue.EDU
Supersedes: <4843@medusa.cs.purdue.edu>
Xref: rice news.lists:258 news.admin:2631

Original-from: Gene Spafford (spaf@cs.purdue.edu)
[Most recent change: 14 May 1989 by spaf@cs.purdue.edu (Gene Spafford)]

News 2.11 has been designed to make it simpler to submit articles to
moderated newsgroups and to reply via mail to posted articles.  For
these functions to work, the file "mailpaths" must exist in the news
library and contain current information.  This file describes the
syntax of the contents of the file and how to construct it for your site.

Syntax
------
All lines in the file consist of a keyword followed by whitespace,
followed by a printf-style format string which is used to encode a mail
address.  The format string should be constructed so that there is a
single "%s" in the field, and other information necessary to construct
a valid address to the appropriate site (see below).

The keyword field consists of either the word "internet", the word
"backbone", or some newsgroup pattern.  These are examined by the
software to determine which format-string to use.  Note that the first
appropriate line matched is the one used -- thus, the "backbone"
keyword line should be placed last in the line if regional or local
moderated groups are supported.

Addresses that end up with both "!" and "@" symbols in the resulting
address get converted so that only "!" symbols appear in the final
address.  An address of the form "foo!bar!baz@barf" will get converted
to "foo!bar!barf!baz" and then mailed.  This should work properly, for
"dumb" mailers but you should test it to make sure; "smart" mailers
should have the format fields encoded as a simple "%s". Note that *any*
address with more than a single "@" in it is illegal.

Submissions to moderated groups
-------------------------------
When you attempt to post to a moderated newsgroup (indicated by the
letter "m" in the 4th field of the "active" file for that group), 
the action of "inews" is to mail the submission to the moderator.
This is done by searching through "mailpaths" file for a keyword
matching the newgroup being posted to, or, by default, the keyword
"backbone".  Matching occurs as in the "sys" file -- thus,
"world" and "all" will also match everything, while "news" or 
"news.all" will only match articles posted in the "news" category.
This feature can be used to support local moderated groups.

Once a line has been matched, the name of the moderated group is
transformed into an address.  This is done by first turning all the
imbedded periods within the newsgroup name into hyphens (e.g.,
"news.lists" becomes "news-lists") because many mailers mishandle
addresses with periods in the username (periods are supposed to be
delimiters only in the host/domain part of RFC822 addresses, but some
mailers "overreact").  Next, the transformed group name is encoded into
an address using the format-string present on the line matched from
"mailpaths" and the article is mailed.  Thus, a posting to "news.lists"
from a site with the line
	backbone        emory!gatech!%s 
in the mailpaths file would have the article mailed to
"emory!gatech!news-lists".  Likewise, a line like
	backbone	%s@gatech.edu
would result in the article being mailed to "news-lists@gatech.edu".
To make the mechanism for moderated postings simpler, a subset of the 
best-connected sites (plus some others) have committed to keeping a complete
up-to-date set of mail aliases for the moderated groups.  Therefore, to
build this line in your "mailpaths" file, you need only construct
an address to get the mail to one of these sites.  In turn, once the
submission reaches that site, it will be forwarded on to the
appropriate moderator's mailbox.

The sites currently maintaining these lists are given in the following
list.  Pick the one that is "closest" to your site and use it in your
"backbone" format string:

	ames		(ames.arc.nasa.gov)
	bpa		(bpa.bell-atl.com)
	clyde		(clyde.att.com)
	decuac		(decuac.dec.com)
	decwrl		(decwrl.dec.com)
	gatech		(gatech.edu)
	ncar		(ncar.ucar.edu)
	husc6		(husc6.harvard.edu)
	kddlab		(kddlab.kddlabs.jp)
	killer		(killer.dallas.tx.us)
	linus		(linus.b.mitre.org)
	mcnc		(mcnc.org)
	mit-eddie	(eddie.mit.edu)
	osu-cis		(cis.ohio-state.edu)
	rutgers		(rutgers.edu)
	ucsd		(ucsd.edu)
	tektronix	(tektronix.tek.com)
	ucbvax		(ucbvax.berkeley.edu)
	uflorida	(uflorida.cis.ufl.edu)
	uunet		(uunet.uu.net)
	uw-beaver	(beaver.cs.washington.edu)
	watmath		(math.waterloo.edu)


Internet Mail
-------------
If you define the "INTERNET" flag when you build 2.11 news, the
software will use the internet-style "From:" header when addressing
replies mailed to postings.  If your mailer does not have this capability,
you can still (possibly) achieve the same thing by defining the
"internet" line in your "mailpaths" file to forward such mail to
a host that does have a mailer which understands internet-style addresses.

The format of this line is very similar to the "backbone" line.  As an
example, consider:
	internet	emory!gatech!mcnc!%s
Thus, if "INTERNET" was defined when this version of news was built,
any reply to a news article would not travel along the "Path:", but
would instead be sent to "mcnc" for interpretation and remailing.
For example, to reply to this article, the mail would be sent to
"emory!gatech!mcnc!spaf@cs.purdue.edu"  ->
"emory!gatech!mcnc!cs.purdue.edu!spaf"

Note:  This is being provided as a service to sites which do not
have routing mailers or which have difficulty replying to articles.
It is *NOT* intended for everyone to pass mail to other sites to send.
Excessive use of this feature may result in severe problems for
the sites doing the relaying, so please simply define this field to
be "%s" if your mailer understands domain-style (internet-style)
addressing.

The following sites will accept internet-format mail for forwarding:

	clyde
	decuac
	kddlab
	killer
	mcnc
	ucsd
	uunet
	uw-beaver
	watmath
