From: spaf@cs.purdue.EDU (Gene Spafford)
Newsgroups: news.announce.newusers
Subject: Answers to Frequently Asked Questions (Updated: 10 October 1988)
Message-ID: <5059@medusa.cs.purdue.edu>
Date: 11 Oct 88 02:55:28 GMT
Expires: +90days
Organization: Dept. of Computer Sciences, Purdue Univ.
Lines: 412
Approved: spaf@cs.purdue.EDU
Supersedes: <4839@medusa.cs.purdue.edu>

Original-from: jerry@eagle.UUCP (Jerry Schwarz)
[Most recent change: 14 May 1989 by spaf@cs.purdue.edu (Gene Spafford)]

		Frequently Submitted Items

This document discusses some items that occur repeatedly on USENET.
They frequently are submitted by new users, and result in many
followups, sometimes swamping groups for weeks. The purpose of this
note is to head off these annoying events by answering some questions
and warning about the inevitable consequence of asking others.  If you
don't like these answers let spaf@purdue.edu know.

 1.  What does UNIX stand for?

     It is not an acronym, but is a pun on "Multics".  Multics is a
     large operating system that was being developed shortly before
     UNIX was created.

 2.  What is the derivation of "foo" as a filler word?

     The favorite story is that it comes from "fubar" which is an
     acronym for "fouled up beyond all recognition", which is supposed
     to be a military term.  (Various forms of this exist, "fouled"
     usually being replaced by a stronger word.) "Foo" and "Bar" have
     the same derivation.

 3.  Is a machine at "foo" on the net?

     These questions belong in news.config (if anywhere), but in fact
     your best bet is usually to phone somebody at "foo" to find out.
     If you don't know anybody at "foo" you can always try calling and
     asking for the "comp center."  Also, see the newsgroup
     comp.mail.maps where maps of USENET and the uucp network are posted
     regularly.

 4.  What does "rc" at the end of files like .newsrc mean?

     It is related to the phrase "run commands." It is used for any
     file that contains startup information for a command.  The use of
     "rc" in startup files derives from the /etc/rc command file used
     to start multi-user Unix.

 5.  What does :-) mean?

      This is the net convention for a "smiley face".  It means that
      something is being said in jest.  If it doesn't look like a smiley
      face to you, flop your head over to the left and look again.

 6.  How do I decrypt jokes in rec.humor?

     The standard cypher used in rec.humor is called "rot13."  Each
     letter is replaced by the letter 13 farther along in the alphabet
     (cycling around at the end).  Most systems have a built-in command
     to decrypt such articles; readnews has the "D" command, rn has the
     "X" or "^X" commands, notes has "%" or "R".  If your system doesn't
     have a program to encrypt and decrypt these, you can quickly create
     a shell script using "tr":
	tr A-Za-z N-ZA-Mn-za-m
     On some versions of Unix, the "tr" command should be written as:
	tr "[a-m][n-z][A-M][N-Z]" "[n-z][a-m][N-Z][A-M]"

 7.  misc.misc or misc.wanted: Is John Doe out there anywhere?

     I suspect that these items are people looking for Freshman room-
     mates that they haven't seen in ten years.  If you have some idea
     where the person is you are usually better off calling the
     organization.  For example, if you call any Bell Labs location and
     request John Doe's number they can give it to you even if he works
     at a different location.  If you must try the net, use newsgroup
     soc.net-people *NOT* misc.misc or misc.wanted.

 8.  sci.math: Proofs that 1=0.

     Almost everyone has seen one or more of these in high school.
     They are almost always based on either division by 0 or taking the
     square root of a negative number.

 9.  rec.games.*: Where can I get the source for empire or rogue?

     You can't get the source of rogue.  The authors of the game, as is
     their right, have chosen not to make the sources available.
     However, several rogue-like games have been posted to the
     comp.sources.games group and they are available in the archives.

     You can obtain the source to a version of empire if you provide
     a tape and SASE *plus* a photocopy of your Unix source license.
     To obtain further info, contact mcnc!rti-sel!polyof!john.
     You can also call John at +1 516 454-5191 (9am-9pm EST only).

     Sites with Internet access can ftp several versions of empire
     from site g.ms.uky.edu

     Also, please note that the wizards' passwords in games like these
     are usually system-dependent and it does no good to ask the
     net-at-large what they are.

10.  comp.unix.questions: How do I remove files with non-ascii
     characters in their names?

     You can try to find a pattern that uniquely identifies the file.
     This sometimes fails because a peculiarity of some shells is that
     they strip off the highorder bit of characters in command lines.
     Next, you can try an rm -i, or rm -r. Finally, you can mess around
     with i-node numbers and "find".

     Some Emacs editors allow you to directly edit a directory, and
     this provides yet another way to remove a file with a funny name
     (assuming you have Emacs and figure out how to use it!).

     To remove a file named "-" from your directory, simply do:
	rm ./-

11.  comp.unix.wizards: There is a bug in the way UNIX handles
     protection for programs that run suid.

     There are indeed problems with the treatment of protection in
     setuid programs.  When this is brought up, suggestions for changes
     range from implementing a full capability list arrangement to new
     kernel calls for allowing more control over when the effective id
     is used and when the real id is used to control accesses.  Sooner
     or later you can expect this to be improved.  For now you just
     have to live with it.

12.  Volatile topics, e.g., soc.women: What do you think about abortion?

     Although abortion might appear to be an appropriate topic for
     soc.women, more heat than light is generated when it is brought
     up.  All abortion-related discussion should take place in the
     newsgroup talk.abortion.  If your site administrators have chosen
     not to receive this group, you should respect this and not post
     articles about abortion at all.

     This principle applies to other topics: religious upbringing of
     children should be restricted to talk.religion.misc and kept out
     of misc.kids, and similarly Zionism discussions should be kept to
     talk.politics.mideast and not in soc.culture.jewish.  USENET
     newsgroups are named for mostly historical reasons, and are not
     intended to be fully general discussion groups for everything
     about the named topic.  Please accept this and post articles in
     their appropriate forums.

13.  soc.singles: What do MOTOS, MOTSS, and MOTAS  stand for?
     What does LJBF mean?

     Member of the opposite sex, member of the same sex, and member of
     the appropriate sex, respectively.  SO stands for "significant other".

     LJBF means "Let's just be friends."  This phrase is often heard
     when you least want it.

14.  soc.singles and elsewhere:  What does HASA stand for?

     The acronym HASA originated with the Heathen and Atheistic SCUM
     Alliance; the Hedonistic Asti-Spumante Alliance, Heroes Against
     Spaghetti Altering, the Society for Creative Atheism (SCATHE),
     SASA, SALSA, PASTA, and many others too numerous to mention all
     followed.  HASA started in (what is now) talk.religion.misc and
     also turns up in soc.singles, talk.bizarre, et al. because members
     post there too.

15.  sci.space.shuttle: Shouldn't this group be merged with sci.space?

     No.  sci.space.shuttle is for timely news bulletins.  sci.space is for
     discussions.

16.  How do I use the "Distribution" feature?

     When postnews prompts you for a distribution, it's asking how
     widely distributed you want your article.  The set of possible
     replies is different, depending on where you are, but at Bell Labs
     in Murray Hill, New Jersey, possibilities include (for example):
	local	local to this machine
	mh	Bell Labs, Murray Hill Branch
	nj	all sites in New Jersey
	btl	All Bell Labs machines
	att	All AT&T machines
	usa	Everywhere in the USA
	na	Everywhere in North America
	world	Everywhere on USENET in the world 

     If you hit return, you'll get the default, which is usually
     "world.".  This default is often not appropriate --
     PLEASE take a moment to think about how far away people are likely
     to be interested in what you have to say.  Used car ads, housing
     wanted ads, and things for sale other than specialized equipment
     like computers certainly shouldn't be distributed to Europe and
     Korea, or even to the next state.

17.  Why do some people put funny lines ("bug killers") at the beginning
     of their articles?

     Some earlier versions of news had a bug which would drop the first
     512 or 1024 bytes of text of certain articles.  The bug was
     triggered whenever the article started with whitespace (a blank or
     a tab).  A fix many people adopted was to begin their articles
     with a line containing a character other than white space.  This
     gradually evolved into the habit of including amusing first
     lines.

     The original bug has since been fixed in newer version of news,
     and sites running older versions of news have applied a patch to
     prevent articles from losing text.  The "bug-killer" lines are
     therefore probably no longer needed, but they linger on.

18.  What is the address or phone number of the "foo" company?

     Try the white and yellow pages of your phone directory, first; a
     sales representative will surely know, and if you're a potential
     customer they will be who you're looking for.  Phone books for
     other cities are usually available in libraries of any size.
     Whoever buys or recommends things for your company will probably
     have some buyer's guides or national company directories. Call or
     visit the reference desk of your library; they have several
     company and organization directories and many will answer
     questions like this over the phone.  Remember if you only know the
     city where the company is, you can telephone to find out their
     full address or a dealer.  The network is NOT a free resource,
     although it may look like that to some people.  It is far better
     to spend a few minutes of your own time researching an answer
     rather than broadcast your laziness and/or ineptitude to the net.

19.  What is the origin of the name "grep"?

     The exact origin of the name is shrouded in the mists of
     prehistory, but one explanation is often given:  The command
     g/re/p in the original UNIX text editor "ed" was used so often it
     was packaged up into a command that was obviously named "grep."

     According to Kernighan/Plauger _Software Tools in Pascal_, it
     stands for "Globally look for Regular Expressions and Print."

20.  How do I get from BITNET to UUCP, ARPA to BITNET, JANET etc etc.?

     See the article "Notable Computer Networks" in Volume 29, #10
     (October 1986) of the "Communications of the ACM" (CACM).  The
     table on page 940 should provide the syntax needed.  The
     appropriate gateways should be derivable from the postings in
     comp.mail.maps.

21.  Didn't some state once pass a law setting pi equal to 3 ?

     Indiana House Bill #246 was introduced on 18 January 1897, and
     referred to the Committee on Canals "midst general cheerfulness."
     The text states, "the ratio of the diameter and circumference is
     as five-fourths to four", which makes pi 3.2 (not 3), but there
     are internal contradictions in the bill as well as contradictions
     with reality.  The author was a mathematical crank.  The bill was
     passed by the state House on 5 February, but indefinitely tabled
     by the state Senate, in part thanks to the fortuitous presence
     on other business of a Purdue professor of mathematics.

     For details, including an annotated text of the bill, read the
     article by D. Singmaster in "The Mathematical Intelligencer" v7
     #2, pp 69-72.

22.  Where can I get the necessary software to get a "smart"
     mail system running on my machine that will take advantage
     of the postings in comp.mail.maps?  (E.g., pathalias, smail, etc.)

     There are a couple of packages available through the supporters of
     the comp.sources.unix archives.  If sites next to you don't have
     what you want, contact your nearest comp.sources.unix archive, or
     the moderator.  Information on archive sites, and indices of
     comp.sources.unix back issues are posted regularly in
     comp.sources.unix and comp.sources.d.

23.  What is "food for the NSA line-eater"?

     This refers to the alleged scanning of all USENET traffic by the
     National Security Agency (and possibly other intelligence
     organizations) for interesting keywords.  The "food" is believed
     to contain some of those keywords in the fond hope of overloading
     NSA's poor computers.  A little thought should convince anyone
     that this is unlikely to occur.  Other posters have taken up this
     practice, either as an ambiguous form of political statement, or
     as an attempt at humor.  The bottom line is that excessive
     signatures in any form are discouraged, the joke has worn stale
     amongst long-time net readers, and there are specific newsgroups
     for the discussion of politics.

24.  Does anyone know the {pinouts, schematics, switch settings,
     what does jumper J3 do} for widget X?

     These postings are almost always inappropriate unless the
     manufacturer has gone out of business or no longer supports the
     device.  If neither of these is the case, you're likely to get a
     better and faster response by simply telephoning the
     manufacturer.

25.  What is "anonymous ftp"?

     "FTP" stands for File Transfer Protocol; on many systems, it's
     also the name of a user-level program that implements that
     protocol.  This program allows a user to transfer files to and
     from a remote network site, provided that network site is
     reachable via the DARPA Internet or a similar facility.  (Ftp is
     also usable on many local-area networks.)

     "Anonymous FTP" indicates that a user may log into the remote
     system as user "anonymous" with an arbitrary password.  A common
     convention is that some sort of identification is supplied as the
     password, e.g. "mumble@foo".  This is sometimes useful to those
     sites that track ftp usage.  Also note that most sites restrict
     when transfers can be made, or at least suggest that large
     transfers be made only during non-peak hours.

26.  What is UUNET?

     UUNET is a non-profit communications service designed to provide
     access to USENET news, mail, and various source archives at low
     cost by obtaining volume discounts.  Charges are calculated to
     recover costs.  The Usenix Association is currently sponsoring this
     service.

     For more information send your US mail address to usenix!uunet-request.

27.  Isn't the posting mechanism broken?  When I post an article to both
     a moderated group and unmoderated groups, it gets mailed to the
     moderator and not posted to the unmoderated groups.

     This is a question that is debated every few months.  The answer
     is "No, it was designed to work that way."  The software is
     designed so that the moderator can crosspost the article so it
     appears in the regular groups as well as the moderated group, if
     appropriate.  If the article were to be posted immediately to the
     unmoderated groups, the moderated group name would have to be
     deleted from the header and you would lose the crossposting.

     Whether or not this is correct behavior is a matter of opinion.
     If you want your article to go out immediately to the unmoderated
     groups, post it twice -- once to the unmoderated groups and once
     to the moderated groups.

28.  comp.arch and elsewhere:  What do FYI and IMHO mean?

     Those are abbreviations for common phrases.  FYI is "For Your
     Information" and IMHO is "In My Humble Opinion" or "In My
     Honest Opinion."

29.  Would someone repost {large software distribution}?

     This question should never be posted unless you are reporting a
     widespread problem in article propagation. Lamentably, there ARE
     occasional glitches in article transport. Large source or binary
     postings, by their sheer size, are an inviting target.

     If the problem is isolated, it is much better to take it upon
     yourself to obtain the bad portions of the program than to ask
     thousands of sites to spend thousands of dollars to needlessly
     move several hundred kilobytes of code. There are archive sites
     around the net that make most source/binary newsgroups available
     via anonymous FTP and UUCP. If you get desperate, you can always
     mail the author a blank disk or magnetic tape with provisions for
     return postage.

30.  How do I contact the moderator of an Arpanet mailing list rather than
     post to the entire list?

     To do this you should know that there are, by convention, two
     mailing addresses for every mailing list (except where noted by
     the List of Lists):

	     list@host		(e.g. xpert@athena.mit.edu)
	     list-request@host	(e.g. xpert-request@athena.mit.edu)

     When you have something for everyone on the mailing list to read,
     mail to the list@host address. HOWEVER, if you have an
     administrative request to make (e.g. "please add me to this list",
     "please remove me from this list", "where are the archives?",
     "what is this mailer error I got from sending to this list?"), it
     should be directed to the list-request@host address, which goes
     only to the mailing list administrator.

     It is considered to be in bad taste to send administrative
     requests to the entire mailing list in question, and if (as is
     often the case) the administrator does not read the mailing list
     (i.e. he just takes care of the admin tasks for the list), he will
     not see your request if you don't send it to the right address.

31,  I see BTW (or "btw"), IMHO and RTFM in postings.  What do they mean?

     BTW is shorthand for "by the way."

     IMHO is shorthand for "In My Humble Opinion."

     RTFM is generally used as an admonition and means "read the f*ing
     manual" (choice of f-words varies according to reader).  The
     implication is that the answer to a query or complaint is easy to
     find if one looks in the appropriate location FIRST.

32.  Are there any restrictions on posting e-mail someone sends to me?

     At a minimum, it is only polite for you to contact the author of
     the letter and secure her or his permission to post it to the net.

     On a more serious note, it can be argued that posting someone's
     e-mail to the net without their permission is a violation of
     copyright law.  Under that law, even though a letter was addressed
     to you, it does not grant you the right to publish the contents,
     since those are the work of the author and the author retains
     copyright (even if no explicit copyright mark appears).  There
     have been many court cases brought because someone tried to
     publish a collection of letters by a famous person, and that
     person (or their estate) objected.  No case has yet been brought
     for unauthorized  publication of e-mail, but the law seems clear
     that it is not legal.
